	//----------TEffortScore开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TEffortScore 
        /// </summary>
		[Table("TEffortScore")]
        public partial class TEffortScore: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("StageID")]   
				[DataMember]  
			    public string StageID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserName")]   
				[DataMember]  
			    public string UserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("EffortCnt")]   
				[DataMember]  
			    public int EffortCnt  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CntScore")]   
				[DataMember]  
			    public decimal? CntScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("DetailScore")]   
				[DataMember]  
			    public decimal? DetailScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CompletedScore")]   
				[DataMember]  
			    public decimal? CompletedScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("DailyHousrsScore")]   
				[DataMember]  
			    public decimal? DailyHousrsScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("TotalScore")]   
				[DataMember]  
			    public decimal? TotalScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Remark")]   
				[DataMember]  
			    public string Remark  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TEffortScore 
            /// </summary>
            public class TEffortScoreMap : EntityTypeConfiguration<TEffortScore>
			{
                public TEffortScoreMap()
                {
					this.ToTable("TEffortScore");
												this.HasKey(t => t.ID);
													 this.Property(t => t.StageID).HasColumnName("StageID");
													 this.Property(t => t.Sort).HasColumnName("Sort");
													 this.Property(t => t.UserID).HasColumnName("UserID");
													 this.Property(t => t.UserName).HasColumnName("UserName").IsRequired();
													 this.Property(t => t.EffortCnt).HasColumnName("EffortCnt").IsRequired();
													 this.Property(t => t.CntScore).HasColumnName("CntScore");
													 this.Property(t => t.DetailScore).HasColumnName("DetailScore");
													 this.Property(t => t.CompletedScore).HasColumnName("CompletedScore");
													 this.Property(t => t.DailyHousrsScore).HasColumnName("DailyHousrsScore");
													 this.Property(t => t.TotalScore).HasColumnName("TotalScore");
													 this.Property(t => t.Remark).HasColumnName("Remark");
										}
			}**/

	}

	//----------TEffortScore结束----------

	